<?php

namespace App\Http;

use App\HttpCodes;

class JsonHttpResponse extends HttpResponse {

    private $payload;

    /**
     * @param mixed $payload
     */
    public function __construct($payload, int $code = HttpCodes::OK) {
        parent::__construct($code);
        $this->payload = $payload;
    }

    public function getJson() {
        return json_encode($this->payload);
    }

}